Subject: Re: bug#20263: 24.4; Emacs daemon exited when separate X connection closed.
From: Óscar Fuentes <[email-masked]>
To: Oleksandr Gavenko <[email-masked]>
Cc: [email-masked]
Date: Sun, 05 Apr 2015 17:43:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

From etc/PROBLEMS (it talks about Emacs running as a server on a text
terminal, but that's equivalent to what --daemon does on your case):

** When Emacs is compiled with Gtk+, closing a display kills Emacs.

There is a long-standing bug in GTK that prevents it from recovering
from disconnects: http://bugzilla.gnome.org/show_bug.cgi?id=85715.

Thus, for instance, when Emacs is run as a server on a text terminal,
and an X frame is created, and the X server for that frame crashes or
exits unexpectedly, Emacs must exit to prevent a GTK error that would
result in an endless loop.

If you need Emacs to be able to recover from closing displays, compile
it with the Lucid toolkit instead of GTK.

Closing the bug report.